org.apache.felix.obrplugin

## Class ObrUpdate

- java.lang.Object
- - org.apache.felix.obrplugin.ObrUpdate

-     public class ObrUpdate
      extends Object

  this class parse the old repository.xml file build the bundle resource description and update the repository.
  Author:
    Felix Project Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObrUpdate(URI repositoryXml, URI obrXml, org.apache.maven.project.MavenProject project, String mavenRepositoryPath, Config userConfig, org.apache.maven.plugin.logging.Log logger)` initialize information.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parseRepositoryXml()` Parse the repository descriptor file.
    `void` | `updateRepository(URI bundleJar, URI sourceJar, URI docJar)` update the repository descriptor file.
    `void` | `writeRepositoryXml()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObrUpdate

          public ObrUpdate(URI repositoryXml,
                   URI obrXml,
                   org.apache.maven.project.MavenProject project,
                   String mavenRepositoryPath,
                   Config userConfig,
                   org.apache.maven.plugin.logging.Log logger)

      initialize information.
      Parameters:
        `repositoryXml` - path to the repository descriptor file
        `obrXml` - path and filename to the obr.xml file
        `project` - maven project description
        `mavenRepositoryPath` - path to the local maven repository
        `userConfig` - user information
        `logger` - plugin logger

  - ### Method Detail

    - #### updateRepository

          public void updateRepository(URI bundleJar,
                              URI sourceJar,
                              URI docJar)
                                throws org.apache.maven.plugin.MojoExecutionException

      update the repository descriptor file. parse the old repository descriptor file, get the old reference of the bundle or determine the id for a new bundle, extract information from bindex set the new information in descriptor file and save it.
      Parameters:
        `bundleJar` - path to the bundle jar file
        `sourceJar` - path to the source jar file
        `docJar` - path to the docs jar file
      Throws:
        `org.apache.maven.plugin.MojoExecutionException` - if the plugin failed

    - #### writeRepositoryXml

          public void writeRepositoryXml()
                                  throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### parseRepositoryXml

          public void parseRepositoryXml()
                                  throws org.apache.maven.plugin.MojoExecutionException

      Parse the repository descriptor file.
      Throws:
        `org.apache.maven.plugin.MojoExecutionException` - if the plugin failed

Copyright © 2015. All rights reserved.